package aji;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.events.*;


/*
 * 作成日: 2005/05/09
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */

/**
 * @author yui
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */


public class Window2 extends BaseWin{
		public Window2(){
			super("味のみちしるべ Client Edition 0.1");
			
		    GridLayout gridLayout = new GridLayout();
		    gridLayout.numColumns = 2;
		    shell.setLayout(gridLayout);
		    GridData gridData;

		    Button button1 = new Button(shell, SWT.PUSH);
		    gridData = new GridData(GridData.FILL_BOTH);
		    button1.setLayoutData(gridData);
		    button1.setText("検索");

		    Button button2 = new Button(shell, SWT.PUSH);
		    gridData = new GridData(GridData.FILL_BOTH);
		    button2.setLayoutData(gridData);
		    button2.setText("追加・変更・削除");

		    Button button3 = new Button(shell, SWT.PUSH);
		    gridData = new GridData(GridData.FILL_BOTH);
		    button3.setLayoutData(gridData);
		    button3.setText("らんきんぐ？");

		    Button button4 = new Button(shell, SWT.PUSH);
		    gridData = new GridData(GridData.FILL_BOTH);
		    button4.setLayoutData(gridData);
		    button4.setText("らんだむ？");
	        
		    button1.addSelectionListener(new SelectionAdapter(){
		        public void widgetSelected(SelectionEvent e){
		          pushed();
		        }
		      });

		    shell.open();

		
		while(!shell.isDisposed()){//閉じるまでWindowを維持
			if(!display.readAndDispatch()){
				display.sleep();
			}
		}

		display.dispose();
	}
		public void pushed(){
			shell.setVisible(false);
			
		    }

}


